index

Varkon System administrators manual

# Using the MBS compiler

mbsc is the UNIX version and MBSC.EXE the Microsoft version of the MBS compiler. The MBS compiler reads source lines frome MBS-files and produces binary modules in MBO-files. The MBS compiler may be used as a stand alone program but is usually called automatically by Varkon when needed.

The MBS compiler depends on the values of environment variables VARKON_TMP and VARKON_ERM defined in the Varkon startscript. To run the MBS compiler stand alone you need to define these variables somehow. One possibility is that you write a script similar to the Varkon start script. Another is that you define them in your login script (.profile or similar).

The Environment variables section of the System Administrators manual includes more information on environment variables.

The MBS compiler understands the following command line parameters:

## source(s)

A parameter not preceeded by a minus sign "-" is interpreted as the name of a source MBS-file to compile. You may supply names with or without the trailing letters `.MBS`. Paths are not accepted, the MBS files must be in the current directory.

## Listfile, -l

-l creates a listfile, (source.LST) with compiler warnings and error messages. With -l not defined on the command line, warnings and error messages are sent to the standard output.

## Page width, -w

-wn prints n characters per line in list files.

## Page length, -h

-hn prints n lines per page in list files.

## Size of module cache, -pm

-pmn sets the size of the internal module cache to n kB. Default is 400 kB. Due to a bug, the compiler will not report if the size of the module cache is too small to hold the entire module. Instead it truncates the module and writes it to disc without notice.

## Compiler version, -v

-v prints the current version of the compiler to the standard output and exits.

Varkon version 1.19C svn# 97